Bug 1709854 - [wayland] Status window for camera/mic when doing webrtc / bluejeans is floating
Summary: [wayland] Status window for camera/mic when doing webrtc / bluejeans is floating
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ffwayland
TreeView+ depends on / blocked
 
Reported: 2019-05-14 12:27 UTC by Hans de Goede
Modified: 2022-12-13 15:13 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-13 15:13:05 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Hans de Goede 2019-05-14 12:27:59 UTC
When video-chatting with firefox-wayland using bluejeans, the small status window with the globe + cam + mic icons is shown as a normal window with standard window decorations and placed somewhere on the desktop.

With firefox-x11 instead it is a borderless window which is drawn centered at the top of the primary monitor. I would expect the same behavior when running firefox-wayland.

Comment 1 Zbigniew Jędrzejewski-Szmek 2019-05-14 21:22:52 UTC
I can see this too. It's been the same way for a while. Nightly 68.0a1 (2019-05-06) (64-bit).

Comment 2 Hans de Goede 2019-07-11 13:18:31 UTC
FWIW this is still happening with the official firefox 68 release. I think it might be best to just disable the whole mini status window thingie when using Wayland, IMHO it does not add much anyways.

Comment 3 Ben Cotton 2019-08-13 17:03:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2019-08-13 18:54:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Jean-Pierre Rupp 2020-06-08 10:36:18 UTC
This bug is still present in Fedora 32 as of today. Keep it alive.

Comment 6 Ben Cotton 2020-11-03 15:14:05 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Zbigniew Jędrzejewski-Szmek 2020-11-03 16:44:06 UTC
Still present with firefox-82.0-5.fc33.x86_64.

Comment 8 Ben Cotton 2021-11-04 17:24:19 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Zbigniew Jędrzejewski-Szmek 2021-11-05 08:18:37 UTC
Same with firefox-94.0-1.fc35.x86_64.

Comment 10 Frank Büttner 2021-12-06 11:58:58 UTC
Same on Fedora 34 using wayland.
The wayland firefox will fails on wayland, but the x11 will work on wayland.
Simple test page: https://test.webrtc.org

Comment 11 Frank Büttner 2021-12-16 15:52:43 UTC
It looks like, in firefox 95, it is fixed.

Comment 12 Ben Cotton 2022-11-29 16:46:19 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 13 Ben Cotton 2022-12-13 15:13:05 UTC
Fedora Linux 35 entered end-of-life (EOL) status on 2022-12-13.

Fedora Linux 35 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.